/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

//DECLARACION DE CLASES
function Jugador (x,y){ 
	//Propiedades
	
	//Nombre
	{% ifequal error 0 %}
		this.nombre="{{ appearance }}";
	{% else %}
		this.nombre="";
	{% endifequal %}
	
	//Cuerpo
	this.cuerpo_img=new Array();
	this.cuerpo_img[0]=new Image();
	{% ifequal error 0 %}
		this.cuerpo_img[0].src = URL_IMAGENES+"bodys/{{ body }}.png";
		this.cuerpo_width=myround(({{ body.width }}/2)*ESCALA_GENERAL);
		this.cuerpo_height=myround(({{ body.height }}/2)*ESCALA_GENERAL);
		this.x=myround(x+{{ body.x }});
		this.y=myround(y+{{ body.y }});
	{% else %}
		this.cuerpo_img[0].src = URL_IMAGENES+"bodys/cuerpo_chico_00.png";
		this.cuerpo_width=myround(25*ESCALA_GENERAL);
		this.cuerpo_height=myround(35*ESCALA_GENERAL);
		this.x=myround(x);
		this.y=myround(y);
	{% endifequal %}
	
	//Cara
	this.cara_img=new Image();
	{% ifequal error 0 %}
		this.cara_img.src=URL_IMAGENES+"faces/{{ appearance.resource.id }}.{{ appearance.resource.type }}";
		this.cara_xref=myround({{ appearance.face_x }}*{{ appearance.escala }}); //x respecto al cuerpo
		this.cara_yref=myround({{ appearance.face_y }}*{{ appearance.escala }}); //y respecto al cuerpo
		this.cara_w=myround({{ appearance.face_w }}*{{ appearance.escala }});
		this.cara_h=myround({{ appearance.face_h }}*{{ appearance.escala }});
	{% else %}
		this.cara_img.src=URL_IMAGENES+"interface/noencontrado.png";
		this.cara_xref=27; //x respecto al cuerpo
		this.cara_yref=0; //y respecto al cuerpo
		this.cara_w=70;
		this.cara_h=70;
	{% endifequal %}
	
	//Metodos
	this.getXCara=function(){return this.x+this.cara_xref;}
	this.getYCara=function(){return this.y+this.cara_yref;}
}

function Dialogo(x,y,w,h){
	
	this.tag={{ error }};
	this.x=x;
	this.y=y;
	this.w=w;
	this.h=h;
	this.alpha=0.0;
	this.opcion_apuntada=-1;
	this.opcion_w=100;
	this.opcion_h=50;
	if(this.tag==0)
		this.coordenadas_opciones=repartir_elementos(ANCHURA_VENTANA/2,350,2,2,this.opcion_w,this.opcion_h,50);
	else
		this.coordenadas_opciones=repartir_elementos(ANCHURA_VENTANA/2,350,1,2,this.opcion_w,this.opcion_h,50);
	this.bandname=ascii_a_cadena("{{ bandname }}");
	
	{% ifequal error 0 %}
		this.texto=new Texto("Quieres que \"{{ appearance }}\" forme parte de tu banda \""+this.bandname+"\"? Pulsa ACEPTAR para mandar la peticion.",400,200,200,25,AL_IZQ);
	{% else %}
		this.texto=new Texto("No se ha encontrado ningun usuario con el nombre \""+ascii_a_cadena("{{ appearance }}")+"\"",400,200,200,25,AL_IZQ);
	{% endifequal %}
	
}