/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

//DECLARACION DE CLASES
function Jugador (){ 
	//Propiedades
	
	//Cuerpo
	var n_cuerpos={{ bodys|length }};
	this.cuerpo_img=new Array(n_cuerpos);
	this.cuerpo_w=new Array(n_cuerpos);
	this.cuerpo_h=new Array(n_cuerpos);
	this.cuerpo_x=new Array(n_cuerpos);
	this.cuerpo_y=new Array(n_cuerpos);
	this.lim_izq=new Array(n_cuerpos);
	this.lim_dch=new Array(n_cuerpos);
	this.lim_arr=new Array(n_cuerpos);
	this.lim_abj=new Array(n_cuerpos);
	
	var i=0;
	{% for b in bodys %}
		this.cuerpo_img[i]=new Image();
		this.cuerpo_img[i].src=URL_IMAGENES+"bodys/{{ b }}.png";
		this.cuerpo_w[i]={{ b.width }}*ESCALA_GENERAL;
		this.cuerpo_h[i]={{ b.height }}*ESCALA_GENERAL;
		this.cuerpo_x[i]=ANCHURA_VENTANA/3-this.cuerpo_w[i]/2+{{ b.x }};
		this.cuerpo_y[i]=ALTURA_VENTANA/2-this.cuerpo_h[i]/2+{{ b.y }};

		this.lim_izq[i]={{ b.lim_izq }};
		this.lim_dch[i]={{ b.lim_dch }};
		this.lim_arr[i]={{ b.lim_arr }};
		this.lim_abj[i]={{ b.lim_abj }};
		
		i++;
	{% endfor %}
	
	this.cuerpo_activo=0;
	
	//Cara
	this.cara_img=new Image();
	this.cara_img.src=URL_IMAGENES+"faces/{{ resource.id }}_tmp.{{ resource.type }}";
	this.cara_w;
	this.cara_h;
	this.cara_x;
	this.cara_y;	
	this.cara_img_w;
	this.cara_img_h;
	
	//Escalar
	this.escala=1;
	this.tam_esquina=10;
	this.esquina_x;
	this.esquina_y;
	
	//Metodos
	this.destacar_esquinas=function(x,y){
		var x2=this.cara_x+this.cara_w*this.escala;
		var y2=this.cara_y+this.cara_h*this.escala;
		
		this.esquina_x=-1;
		this.esquina_y=-1;
		
		if(x>=x2-this.tam_esquina && x<=x2+this.tam_esquina && y>=y2-this.tam_esquina && y<=y2+this.tam_esquina){
			this.esquina_x=x2;
			this.esquina_y=y2;
		}
	}
	
	//Recorte de la cara	
	this.trozo_izquierda;
	this.trozo_derecha;
	this.lienzo_x;
	
	this.trozo_arriba;
	this.trozo_abajo;
	this.lienzo_y;
	
	this.img_x1;
	this.img_x2;
	this.img_y1;
	this.img_y2;
	
	//Nombre
	this.name="{{ name }}";
}
